From 951acca3afb8e7a1aa6a3aa814d77c0285c73d81 Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Fri, 24 Jul 2015 21:01:27 +0200
Subject: [PATCH 05/12] Split HAVE_LIB* out of BUILD_LIB*

Introduce HAVE_LIB* Makefile.am variables to make possible staging build.
BUILD_LIB*: Enable the library support and build the library.
HAVE_LIB*: Enable the library support.

It introduces new ext_lib* variables, which will be used later to make
possible to link with external instances of util-linux libraries.

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 configure.ac | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

Index: util-linux-2.26.2/configure.ac
===================================================================
--- util-linux-2.26.2.orig/configure.ac
+++ util-linux-2.26.2/configure.ac
@@ -810,7 +810,8 @@ AC_ARG_ENABLE([libuuid],
 UL_BUILD_INIT([libuuid])
 AC_SUBST([LIBUUID_VERSION])
 AC_SUBST([LIBUUID_VERSION_INFO])
-AM_CONDITIONAL(BUILD_LIBUUID, test "x$build_libuuid" = xyes)
+AM_CONDITIONAL([HAVE_LIBUUID], [test "x$build_libuuid" = xyes])
+AM_CONDITIONAL([BUILD_LIBUUID], [test "x$build_libuuid" = xyes -a "x$ext_libuuid" != xyes])
 
 AS_IF([test "x$build_libuuid" = xyes], [
   AC_DEFINE(HAVE_LIBUUID, 1, [Define to 1 if you have the -luuid.])
@@ -832,7 +833,8 @@ AC_DEFINE_UNQUOTED([LIBBLKID_DATE], ["$L
 AS_IF([test "x$build_libblkid" = xyes], [
   AC_DEFINE([HAVE_LIBBLKID], [1], [Define to 1 if you have the -lblkid.])
 ])
-AM_CONDITIONAL([BUILD_LIBBLKID], [test "x$build_libblkid" = xyes])
+AM_CONDITIONAL([HAVE_LIBBLKID], [test "x$build_libblkid" = xyes])
+AM_CONDITIONAL([BUILD_LIBBLKID], [test "x$build_libblkid" = xyes -a "x$ext_libblkid" != xyes])
 AM_CONDITIONAL([BUILD_LIBBLKID_TESTS], [test "x$build_libblkid" = xyes -a "x$enable_static" = xyes])
 
 dnl
@@ -845,7 +847,8 @@ AC_ARG_ENABLE([libmount],
 UL_BUILD_INIT([libmount])
 UL_REQUIRES_BUILD([libmount], [libblkid])
 UL_REQUIRES_HAVE([libmount], [scanf_alloc_modifier], [scanf string alloc modifier])
-AM_CONDITIONAL([BUILD_LIBMOUNT], [test "x$build_libmount" = xyes])
+AM_CONDITIONAL([HAVE_LIBMOUNT], [test "x$build_libmount" = xyes])
+AM_CONDITIONAL([BUILD_LIBMOUNT], [test "x$build_libmount" = xyes -a "x$ext_libmount" != xyes])
 AM_CONDITIONAL([BUILD_LIBMOUNT_TESTS], [test "x$build_libmount" = xyes -a "x$enable_static" = xyes])
 
 AC_SUBST([LIBMOUNT_VERSION])
@@ -873,7 +876,8 @@ AC_ARG_ENABLE([libsmartcols],
   [], [UL_DEFAULT_ENABLE([libsmartcols], [yes])]
 )
 UL_BUILD_INIT([libsmartcols])
-AM_CONDITIONAL([BUILD_LIBSMARTCOLS], [test "x$build_libsmartcols" = xyes])
+AM_CONDITIONAL([HAVE_LIBSMARTCOLS], [test "x$build_libsmartcols" = xyes])
+AM_CONDITIONAL([BUILD_LIBSMARTCOLS], [test "x$build_libsmartcols" = xyes -a "x$ext_libsmartcols" != xyes])
 AM_CONDITIONAL([BUILD_LIBSMARTCOLS_TESTS], [test "x$build_libsmartcols" = xyes -a "x$enable_static" = xyes])
 
 AC_SUBST([LIBSMARTCOLS_VERSION])
@@ -890,7 +894,8 @@ AC_ARG_ENABLE([libfdisk],
 )
 UL_BUILD_INIT([libfdisk])
 UL_REQUIRES_BUILD([libfdisk], [libuuid])
-AM_CONDITIONAL([BUILD_LIBFDISK], [test "x$build_libfdisk" = xyes])
+AM_CONDITIONAL([HAVE_LIBFDISK], [test "x$build_libfdisk" = xyes])
+AM_CONDITIONAL([BUILD_LIBFDISK], [test "x$build_libfdisk" = xyes -a "x$ext_libfdisk" != xyes])
 AM_CONDITIONAL([BUILD_LIBFDISK_TESTS], [test "x$build_libfdisk" = xyes -a "x$enable_static" = xyes])
 
 AS_IF([test "x$build_libblkid" = xyes],
